package com.fjhx.item.entity.product;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class ProductExportExcelBo {
    @ColumnWidth(15)
    @ExcelProperty("产品分类")
    private String classifyName;
    @ColumnWidth(15)
    @ExcelProperty("产品类型")
    private String type;
    @ColumnWidth(15)
    @ExcelProperty("产品编号")
    private String customCode;
    @ColumnWidth(25)
    @ExcelProperty("产品名称")
    private String name;
    @ColumnWidth(15)
    @ExcelProperty("是否组合")
    private String combination;
    @ColumnWidth(15)
    @ExcelProperty("销售状态")
    private String salesStatus;
    @ColumnWidth(10)
    @ExcelProperty("单位")
    private String unit;
    @ColumnWidth(15)
    @ExcelProperty("规格")
    private String spec;
    @ColumnWidth(15)
    @ExcelProperty("材质")
    private String materialQuality;
    @ColumnWidth(15)
    @ExcelProperty("重量")
    private String weight;
    @ColumnWidth(15)
    @ExcelProperty("适用温度")
    private String applicableTemp;
    @ColumnWidth(15)
    @ExcelProperty("管理部门")
    private String deptName;
    @ColumnWidth(15)
    @ExcelProperty("生命周期")
    private String lifeCycle;
    @ColumnWidth(20)
    @ExcelProperty("库存清空期限")
    private String clearancePeriod;
    @ColumnWidth(15)
    @ExcelProperty("京东供价")
    private String jdPurchasePrice;
    @ColumnWidth(15)
    @ExcelProperty("标准售价")
    private String unitPrice;
    @ColumnWidth(15)
    @ExcelProperty("新品期")
    private Integer newProductsDay;
    @ColumnWidth(15)
    @ExcelProperty("成长期")
    private Integer growUpDay;
}
