package com.fjhx.jxst.entity.sales.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * 销售合同明细
 * </p>
 *
 * @author
 * @since 2023-05-16
 */
@Getter
@Setter
@TableName("sales_contract_details")
public class SalesContractDetails extends BasePo {

    /**
     * 销售合同id
     */
    private Long salesContractId;

    /**
     * 产品id
     */
    private Long productId;

    /**
     * 单价
     */
    private BigDecimal unitPrice;

    /**
     * 数量
     */
    private BigDecimal quantity;

    /**
     * 是否定制
     */
    private String isCustomized;

}
