package com.fjhx.purchase.entity.refund.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * 退款明细
 * </p>
 *
 * @author
 * @since 2023-04-13
 */
@Getter
@Setter
@TableName("refund_detail")
public class RefundDetail extends BasePo {

    /**
     * 退款单ID
     */
    private Long refundId;
    /**
     * 退货单id
     */
    private Long salesReturnId;

    /**
     * 退款金额
     */
    private BigDecimal money;

    /**
     * 备注
     */
    private String remark;

}
