package com.fjhx.victoriatourist.entity.jd.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * <p>
 * 京东售后退货质检
 * </p>
 *
 * @author
 * @since 2024-09-27
 */
@Getter
@Setter
@TableName("jd_refund_quality_check")
public class JdRefundQualityCheck extends BasePo {

    /**
     * 质检单号
     */
    private String code;

    /**
     * 产品id
     */
    private Long productId;

    /**
     * 良品数量
     */
    private Integer qualifiedCount;

    /**
     * 次品数量
     */
    private Integer defectiveCount;

    /**
     * 报废数量
     */
    private Integer scrappedCount;

    /**
     * 报废转良品数量
     */
    private Integer scrappedToQualifiedCount;

    /**
     * 报废转次品数量
     */
    private Integer scrappedToDefectiveCount;

    /**
     * 最终报废数量
     */
    private Integer resultScrappedCount;

    /**
     * 报废处理结果 0无需处理 1待处理 2待确认 3已确认
     */
    private Integer scrappedHandleStatus;

    /**
     * 报废处理人
     */
    private Long scrappedHandleUserId;

    /**
     * 报废处理时间
     */
    private Date scrappedHandleTime;

    /**
     * 报废确认人
     */
    private Long scrappedVerifyUserId;

    /**
     * 报废确认时间
     */
    private Date scrappedVerifyTime;

}
