package com.fjhx.victoriatourist.entity.jd.vo;

import com.fjhx.victoriatourist.entity.jd.po.JdRefundNotQualityCheck;
import lombok.Getter;
import lombok.Setter;

/**
 * 京东售后退货待质检列表查询返回值实体
 *
 * @author
 * @since 2024-09-28
 */
@Getter
@Setter
public class JdRefundNotQualityCheckVo extends JdRefundNotQualityCheck {

    private String productName;
    private String productCustomCode;
    private String productSpec;
    private String productUnit;

    /**
     * 报废转良品数量
     */
    private Integer qualifiedCount;

    /**
     * 报废转次品数量
     */
    private Integer defectiveCount;

    /**
     * 最终报废数量
     */
    private Integer scrappedCount;

}
