package com.fjhx.victoriatourist.service.excess;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.victoriatourist.entity.excess.dto.ExcessGoodsRegisterDto;
import com.fjhx.victoriatourist.entity.excess.dto.ExcessGoodsRegisterSelectDto;
import com.fjhx.victoriatourist.entity.excess.po.ExcessGoodsRegister;
import com.fjhx.victoriatourist.entity.excess.vo.ExcessGoodsRegisterVo;
import com.ruoyi.common.core.service.BaseService;

import java.util.List;

/**
 * <p>
 * 多货登记临时表 服务类
 * </p>
 *
 * @author
 * @since 2024-03-27
 */
public interface ExcessGoodsRegisterService extends BaseService<ExcessGoodsRegister> {

    /**
     * 多货登记临时表列表
     */
    List<ExcessGoodsRegisterVo> getList(ExcessGoodsRegisterSelectDto dto);

    /**
     * 多货登记临时表分页
     */
    Page<ExcessGoodsRegisterVo> getPage(ExcessGoodsRegisterSelectDto dto);

    /**
     * 多货登记临时表明细
     */
    ExcessGoodsRegisterVo detail(Long id);

    /**
     * 多货登记临时表新增
     */
    void add(ExcessGoodsRegisterDto excessGoodsRegisterDto);

    /**
     * 多货登记临时表编辑
     */
    void edit(ExcessGoodsRegisterDto excessGoodsRegisterDto);

    /**
     * 多货登记临时表删除
     */
    void delete(Long id);

}
