package com.fjhx.victoriatourist.service.jd;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.victoriatourist.entity.jd.dto.JdRefundNotQualityCheckSelectDto;
import com.fjhx.victoriatourist.entity.jd.po.JdRefundNotQualityCheck;
import com.fjhx.victoriatourist.entity.jd.po.JdRefundQualityCheck;
import com.fjhx.victoriatourist.entity.jd.vo.JdRefundNotQualityCheckVo;
import com.ruoyi.common.core.service.BaseService;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;


/**
 * <p>
 * 京东售后退货待质检 服务类
 * </p>
 *
 * @author
 * @since 2024-09-28
 */
public interface JdRefundNotQualityCheckService extends BaseService<JdRefundNotQualityCheck> {

    /**
     * 京东售后退货待质检分页
     */
    Page<JdRefundNotQualityCheckVo> getPage(JdRefundNotQualityCheckSelectDto dto);

    /**
     * 提交质检
     */
    void submitQualityCheck(List<JdRefundQualityCheck> dto);

    /**
     * 京东售后退货待质检导入列表
     */
    List<JdRefundNotQualityCheckVo> excelList(MultipartFile file);

}
