package com.fjhx.victoriatourist.service.jd.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fjhx.victoriatourist.entity.jd.dto.JdRefundDetailSelectDto;
import com.fjhx.victoriatourist.entity.jd.po.JdRefundDetail;
import com.fjhx.victoriatourist.mapper.jd.JdRefundDetailMapper;
import com.fjhx.victoriatourist.service.jd.JdRefundDetailService;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * <p>
 * 京东售后退货明细 服务实现类
 * </p>
 *
 * @author
 * @since 2024-09-25
 */
@Service
public class JdRefundDetailServiceImpl extends ServiceImpl<JdRefundDetailMapper, JdRefundDetail> implements JdRefundDetailService {

    @Override
    public List<JdRefundDetail> getList(JdRefundDetailSelectDto dto) {
        return list(q -> q.eq(JdRefundDetail::getJdRefundId, dto.getId()));
    }
}
