package com.fjhx.account.entity.account.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * 资金流水分拆部门表
 * </p>
 *
 * @author
 * @since 2023-04-13
 */
@Getter
@Setter
@TableName("account_dept_running_water_detail")
public class AccountDeptRunningWaterDetail extends BasePo {

    /**
     * 部门ID
     */
    private Long deptId;

    /**
     * 部门-资金流水关联表ID
     */
    private Long deptRunningWaterId;

    /**
     * 分拆金额
     */
    private BigDecimal amount;

    /**
     * 备注
     */
    private String remarks;

}
