package com.fjhx.jxst.service.sales;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.jxst.entity.sales.dto.SalesContractDto;
import com.fjhx.jxst.entity.sales.dto.SalesContractSelectDto;
import com.fjhx.jxst.entity.sales.po.SalesContract;
import com.fjhx.jxst.entity.sales.vo.SalesContractVo;
import com.ruoyi.common.core.service.BaseService;


/**
 * <p>
 * 销售合同 服务类
 * </p>
 *
 * @author
 * @since 2023-05-16
 */
public interface SalesContractService extends BaseService<SalesContract> {

    /**
     * 销售合同分页
     */
    Page<SalesContractVo> getPage(SalesContractSelectDto dto);

    /**
     * 销售合同明细
     */
    SalesContractVo detail(Long id);

    /**
     * 销售合同新增
     */
    void add(SalesContractDto salesContractDto);

}
