package com.fjhx.sale.entity.documents.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * <p>
 * 单证-货运表
 * </p>
 *
 * @author
 * @since 2023-04-20
 */
@Getter
@Setter
@TableName("documents_transport")
public class DocumentsTransport extends BasePo {

    /**
     * 承运方
     */
    private String acceptCarriage;

    /**
     * 单证ID
     */
    private String documentsId;


    /**
     * 起运时间
     */
    private Date departureTime;

    /**
     * 单号
     */
    private String code;

    /**
     * 备注
     */
    private String remark;

}
