package com.fjhx.sale.entity.quality.po;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BaseIdPo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 质检AQL表
 * </p>
 *
 * @author
 * @since 2023-05-22
 */
@Getter
@Setter
@TableName("ehsd_quality_aql")
public class EhsdQualityAql extends BaseIdPo {
    /**
     * 质检单ID
     */
    private Long qualityId;

    /**
     * aqllevel
     */
    private String aqlLevel;

    /**
     * 样品大小
     */
    private BigDecimal sampleSize;

    /**
     * 验收
     */
    private String acceptance;

    /**
     * 发现
     */
    private String finding;

    /**
     * 结果
     */
    private String result;

    /**
     * aql结果 0:
     */
    private String aqlResult;

    @TableField(fill = FieldFill.INSERT)
    private Long createUser;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /**
     * 更新人
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateUser;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

}
