package com.fjhx.victoriatourist.entity.jd.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 京东售后退货明细
 * </p>
 *
 * @author
 * @since 2024-09-25
 */
@Getter
@Setter
@TableName("jd_refund_detail")
public class JdRefundDetail extends BasePo {

    /**
     * 京东售后退货id
     */
    private Long jdRefundId;

    /**
     * 商品编号
     */
    private String wareId;

    /**
     * 确认收货时间
     */
    private Date signTime;

    /**
     * 备注
     */
    private String remark;

    /**
     * 备件条码
     */
    private String partCode;

    /**
     * 商品名称
     */
    private String wareName;

    /**
     * 销售订单号
     */
    private String saleOrdId;

    /**
     * 运单号
     */
    private String shipCode;

    /**
     * 确认收货人
     */
    private String confirmReceiptPeople;

    /**
     * 退货价格
     */
    private BigDecimal price;

    /**
     * 合作渠道名称
     */
    private String channelName;

    /**
     * 订单业务模式模型
     */
    private String saleModeCd;

    /**
     * 合作渠道id
     */
    private String channelId;

    /**
     * 订单渠道类型
     */
    private String thirdBiz;

    /**
     * upc码
     */
    private String upc;

    /**
     * 状态 0待确认 1已确认
     */
    private Integer status;

}
