package com.fjhx.victoriatourist.mapper.jd;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.victoriatourist.entity.jd.po.JdRefund;
import com.fjhx.victoriatourist.entity.jd.vo.JdRefundVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 京东售后退货 Mapper 接口
 * </p>
 *
 * @author
 * @since 2024-09-25
 */
public interface JdRefundMapper extends BaseMapper<JdRefund> {


    Page<JdRefundVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<JdRefund> wrapper);

}
