package com.fjhx.victoriatourist.mapper.jd;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.victoriatourist.entity.jd.po.JdRefundNotQualityCheck;
import com.fjhx.victoriatourist.entity.jd.vo.JdRefundNotQualityCheckVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 京东售后退货待质检 Mapper 接口
 * </p>
 *
 * @author
 * @since 2024-09-28
 */
public interface JdRefundNotQualityCheckMapper extends BaseMapper<JdRefundNotQualityCheck> {

    /**
     * 京东售后退货待质检分页
     */
    Page<JdRefundNotQualityCheckVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<JdRefundNotQualityCheck> wrapper);

}
