package com.fjhx.victoriatourist.mapper.jd;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.victoriatourist.entity.jd.po.JdRefundQualityCheck;
import com.fjhx.victoriatourist.entity.jd.vo.JdRefundQualityCheckVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 京东售后退货质检 Mapper 接口
 * </p>
 *
 * @author
 * @since 2024-09-27
 */
public interface JdRefundQualityCheckMapper extends BaseMapper<JdRefundQualityCheck> {

    /**
     * 京东售后退货质检分页
     */
    Page<JdRefundQualityCheckVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<JdRefundQualityCheck> wrapper);

}
