package com.fjhx.victoriatourist.service.jd;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.victoriatourist.entity.jd.dto.JdRefundQualityCheckDto;
import com.fjhx.victoriatourist.entity.jd.dto.JdRefundQualityCheckSelectDto;
import com.fjhx.victoriatourist.entity.jd.po.JdRefundQualityCheck;
import com.fjhx.victoriatourist.entity.jd.vo.JdRefundQualityCheckVo;
import com.ruoyi.common.core.service.BaseService;


/**
 * <p>
 * 京东售后退货质检 服务类
 * </p>
 *
 * @author
 * @since 2024-09-27
 */
public interface JdRefundQualityCheckService extends BaseService<JdRefundQualityCheck> {

    /**
     * 京东售后退货质检分页
     */
    Page<JdRefundQualityCheckVo> getPage(JdRefundQualityCheckSelectDto dto);

    void handle(JdRefundQualityCheckDto dto);

    void verify(JdRefundQualityCheckDto dto);

}
