package com.fjhx.victoriatourist.service.jd;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.victoriatourist.entity.jd.dto.JdRefundSelectDto;
import com.fjhx.victoriatourist.entity.jd.po.JdRefund;
import com.fjhx.victoriatourist.entity.jd.vo.JdRefundVo;
import com.ruoyi.common.core.service.BaseService;
import org.springframework.web.multipart.MultipartFile;


/**
 * <p>
 * 京东售后退货 服务类
 * </p>
 *
 * @author
 * @since 2024-09-25
 */
public interface JdRefundService extends BaseService<JdRefund> {

    Page<JdRefundVo> getPage(JdRefundSelectDto dto);

    void confirm(Long id);

    void cancelConfirm(Long id);

    void confirmExcelImport(MultipartFile file);

}
