package com.fjhx.wms.service.stock;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.wms.entity.stock.dto.StockWaitDetailsCheckDto;
import com.fjhx.wms.entity.stock.dto.StockWaitDetailsCheckSelectDto;
import com.fjhx.wms.entity.stock.po.StockWaitDetailsCheck;
import com.fjhx.wms.entity.stock.vo.StockWaitDetailsCheckVo;
import com.ruoyi.common.core.service.BaseService;
import com.ruoyi.common.utils.wrapper.IWrapper;

import java.util.List;

/**
 * <p>
 * 待入库清点 服务类
 * </p>
 *
 * @author
 * @since 2024-03-25
 */
public interface StockWaitDetailsCheckService extends BaseService<StockWaitDetailsCheck> {

    /**
     * 待入库清点列表
     */
    List<StockWaitDetailsCheckVo> getList(StockWaitDetailsCheckSelectDto dto);

    List<StockWaitDetailsCheckVo> getList(IWrapper<StockWaitDetailsCheck> wrapper);

    /**
     * 待入库清点分页
     */
    Page<StockWaitDetailsCheckVo> getPage(StockWaitDetailsCheckSelectDto dto);

    /**
     * 待入库清点明细
     */
    StockWaitDetailsCheckVo detail(Long id);

    /**
     * 待入库清点新增
     */
    void add(StockWaitDetailsCheckDto stockWaitDetailsCheckDto);

    /**
     * 待入库清点编辑
     */
    void edit(StockWaitDetailsCheckDto stockWaitDetailsCheckDto);

    /**
     * 待入库清点删除
     */
    void delete(Long id);

}
